function [mapF, vmapF, mapW, vmapW] = BuildBCMaps_large()

% create boundary maps

Globals2D;

boundary_points = length(mapB);
mapW = zeros(boundary_points,1);
mapF = zeros(boundary_points,1);
wall_temp = 0;
far_temp = 0;
for i = 1:boundary_points
    if (((y(vmapB(i)) >= y_u - NODETOL) && (n_y(mapB(i)) == 1)) || ((y(vmapB(i)) <= y_l + NODETOL) && (n_y(mapB(i)) == -1)))
        wall_temp = wall_temp + 1;
        mapW(wall_temp) = mapB(i);
    end
    if (((x(vmapB(i)) >= x_u + 275 - NODETOL) && (n_x(mapB(i)) == 1)) || ((x(vmapB(i)) <= x_l - 225 + NODETOL) && (n_x(mapB(i)) == -1)))
        far_temp = far_temp + 1;
        mapF(far_temp) = mapB(i);
    end
end
mapW((wall_temp + 1):boundary_points) = [];
mapF((far_temp + 1):boundary_points) = [];
vmapW = vmapM(mapW);
vmapF = vmapM(mapF);

end